#
# spec file for package python3-mysql-connector-python
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-mysql-connector-python
Version:        2.1.3
Release:        1.3
Summary:        MySQL driver written in Python
License:        SUSE-GPL-2.0-with-FLOSS-exception
Group:          Development/Languages/Python
Url:            http://dev.mysql.com/doc/connector-python/en/index.html
Source:         http://dev.mysql.com/get/Downloads/Connector-Python/mysql-connector-python-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
MySQL driver written in Python which does not depend on MySQL C client libraries and implements the DB API v2.0 specification (PEP-249).

%prep
%setup -q -n mysql-connector-python-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

#FIXME(toabctl): Reenable testuite
#%check
#nosetests

%files
%defattr(-,root,root,-)
%doc README.txt LICENSE.txt CHANGES.txt
%{python3_sitelib}/*

%changelog
* Fri Feb 19 2016 jacobwinski@gmail.com
- Update Source URL scheme and remove unzip requirement
- Update to version 2.1.3
* Fri Feb 19 2016 jacobwinski@gmail.com
- convert changes file to python3 name convention
* Fri Feb 19 2016 jacobwinski@gmail.com
- convert package from python2 to python3
* Tue Oct 21 2014 dmueller@suse.com
- fix license to SUSE-GPL-2.0-with-FLOSS-exception
* Tue Sep 23 2014 tbechtold@suse.com
- Initial version
